The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> catclose - close a message catalog descriptor

#### SYNOPSIS

> ``[XSI] #include <nl_types.h>
> int catclose(nl_catd` catd`);``
> `
> `

#### DESCRIPTION

> The catclose() function shall close the message catalog identified by catd. If a file descriptor is used to implement the type nl_catd, that file descriptor shall be closed.

#### RETURN VALUE

> Upon successful completion, catclose() shall return 0; otherwise, -1 shall be returned, and errno set to indicate the error.

#### ERRORS

> The catclose() function may fail if:

> [EBADF]
>   The catalog descriptor is not valid.
> [EINTR]
>   The catclose() function was interrupted by a signal.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> catgets(), catopen(), the Base Definitions volume of IEEE Std 1003.1-2001, <nl_types.h>

#### CHANGE HISTORY

> First released in Issue 2.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]